AOWP_AdviceBodyConverterForScriptExecutionWeaving (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.AOWP_AdviceBodyConverterForScriptExecutionWeaving
/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 2

# Class AOWP_AdviceBodyConverterForScriptExecutionWeaving

    AOWP_AdviceBodyConverterForScriptExecutionWeaving

public class AOWP_AdviceBodyConverterForScriptExecutionWeaving

Field Summary
private mixed | $_adviceMethodElement
private mixed | $_aspectInstanceName
private mixed | $_convertedAdviceBodyElements
private mixed | $_joinPointInstanceName
private mixed | $_proceedLabel
private mixed | $_proceedReturnBaseLabel
private mixed | $_proceedReturnFlagVariableName
private mixed | $_proceedReturnLabels

Constructor Summary
AOWP_AdviceBodyConverterForScriptExecutionWeaving(mixed advice, mixed proceedLabel, mixed proceedReturnBaseLabel, mixed proceedReturnFlagVariableName, mixed aspectInstanceName, mixed joinPointInstanceName)

Method Summary
private void | _convertAdviceBody()
private void | _convertAdviceVariableName(mixed element)
private void | _convertIfStatement(mixed ifStatement)
private void | _convertInnerStatementsContainer(mixed innerContainerStatement)
private void | _convertStatement(mixed statement)
private void | _getProceedCallElements()
private void | _isProceedCall(mixed element)
void | getConvertedAdviceBodyElements()
void | getProceedReturnLabels()

## Field Detail

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 10

### _adviceMethodElement

`private mixed $_adviceMethodElement`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 15

### _aspectInstanceName

`private mixed $_aspectInstanceName`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 9

### _convertedAdviceBodyElements

`private mixed $_convertedAdviceBodyElements`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 16

### _joinPointInstanceName

`private mixed $_joinPointInstanceName`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 12

### _proceedLabel

`private mixed $_proceedLabel`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 13

### _proceedReturnBaseLabel

`private mixed $_proceedReturnBaseLabel`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 14

### _proceedReturnFlagVariableName

`private mixed $_proceedReturnFlagVariableName`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 11

### _proceedReturnLabels

`private mixed $_proceedReturnLabels`

## Constructor Detail

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 18

### AOWP_AdviceBodyConverterForScriptExecutionWeaving

`public AOWP_AdviceBodyConverterForScriptExecutionWeaving(mixed advice, mixed proceedLabel, mixed proceedReturnBaseLabel, mixed proceedReturnFlagVariableName, mixed aspectInstanceName, mixed joinPointInstanceName)`

## Method Detail

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 38

### _convertAdviceBody

`private void _convertAdviceBody()`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 80

### _convertAdviceVariableName

`private void _convertAdviceVariableName(mixed element)`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 66

### _convertIfStatement

`private void _convertIfStatement(mixed ifStatement)`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 41

### _convertInnerStatementsContainer

`private void _convertInnerStatementsContainer(mixed innerContainerStatement)`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 57

### _convertStatement

`private void _convertStatement(mixed statement)`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 103

### _getProceedCallElements

`private void _getProceedCallElements()`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 93

### _isProceedCall

`private void _isProceedCall(mixed element)`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 31

### getConvertedAdviceBodyElements

`public void getConvertedAdviceBodyElements()`

/aspect/weaver/command/astutil/AdviceBodyConverterForScriptExecutionWeaving.class.php at line 34

### getProceedReturnLabels

`public void getProceedReturnLabels()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr